
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;
import java.nio.file.StandardOpenOption;
import java.util.List;
import java.util.stream.Stream;

public class AttendanceInfoTransfer {

	public static void main(String JavaLatte[]) {
		String sSource = "/tmp/2021old.txt";
		String sDest = "/tmp/2021new.txt";
		if( JavaLatte.length==2) {
			sSource = JavaLatte[0];
			sDest = JavaLatte[1];
		}
		
		System.out.println("args length="+JavaLatte.length);
		Path pathSource = Paths.get(sSource);
		Path pathDest = Paths.get(sDest);
		String sCardID = "";
		String sDate = "";
		String sTime = "";
		String sNewFormat = "";
		try {
			List<String> lines = Files.readAllLines(pathSource);
			Files.write (pathDest,"".getBytes(),Files.exists(pathDest)? StandardOpenOption.TRUNCATE_EXISTING:StandardOpenOption.CREATE);
			
			for(String sData:lines) {
			
				if( sData==null || sData.trim().equals("")) continue;
				System.out.println("Line : "+sData);
				sCardID = sData.substring(4,9);
				System.out.print("CardID = " + sCardID);
				sDate = sData.substring(11,17);
				System.out.print(",Date = " + sDate);
				sTime = sData.substring(19,23);
				System.out.println(",Time = " + sTime);
				sNewFormat =  String.format("  0%s,               20%s,  %s,\r\n",sCardID,sDate,sTime);			
				Files.write (pathDest, sNewFormat.getBytes(),StandardOpenOption.APPEND);
				System.out.println("new format ->"+ sNewFormat);

			}
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

}
